/*
 * $Id: ksrvutil.h,v 1.5 1996/06/12 21:28:42 bg Exp $
 *
 */

#ifndef FALSE
#define FALSE 0
#endif

#ifndef TRUE
#define TRUE 1
#endif

extern char *progname;
extern char u_name[], u_inst[], u_realm[];
extern int destroyp;

void leave(char *str, int x);
void safe_read_stdin(char *prompt, char *buf, size_t size);
void safe_write(char *filename, int fd, void *buf, size_t len);

int yn(char *string);
int ny(char *string);

void ksrvutil_get(int fd, char *filename, int argc, char **argv);
